Skip to main content

Batch delete requests from last run's default request queue

DELETE 

/v2/acts/:actorId/runs/last/request-queue/requests/batch

Batch-deletes requests from the default request queue of the last Actor run.

This endpoint is a shortcut for getting the last run's defaultRequestQueueId and then using the Delete requests endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or a tilde-separated owner's username and Actor name.


    Example: janedoe~my-actor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc

Header Parameters

    Content-Type string required

Body arrayrequired

    anyOf
  • id RequestId (string) required

    A unique identifier assigned to the request.


    Example: sbJ7klsdf7ujN9l
  • uniqueKey UniqueKey (string)

    A unique key used for request de-duplication. Requests with the same unique key are considered identical.


    Example: GET|60d83e70|e3b0c442|https://apify.com

Status 200

Response Headers
    {
    "data": {
    "processedRequests": [
    {
    "uniqueKey": "GET|60d83e70|e3b0c442|https://apify.com",
    "id": "sbJ7klsdf7ujN9l"
    },
    {
    "uniqueKey": "GET|60d83e70|e3b0c442|https://apify.com",
    "id": "sbJ7klsdf7ujN9l"
    }
    ],
    "unprocessedRequests": [
    {
    "id": "sbJ7klsdf7ujN9l",
    "uniqueKey": "GET|60d83e70|e3b0c442|https://apify.com",
    "url": "https://apify.com",
    "method": "GET"
    }
    ]
    }
    }